package mygame;

import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.BasicGame;
import org.newdawn.slick.Color;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.Image;
import org.newdawn.slick.SlickException;

/**
スプライトを表示してみる。
@author フラチキさん
*/
public class MyGame00 extends BasicGame {
	// スプライトの画像
	private Image sprite;

	/**
	コンストラクタ
	*/
	public MyGame00() {
		super("MyGame00");
	}

	/**
	最初に一回だけ実行される初期化。
	*/
	public void init(GameContainer container) throws SlickException {
		container.getGraphics().setBackground(new Color(0.4f,0.6f,0.6f));

		// ファイルからスプライト画像を読み込む。
		sprite = new Image("mygame/f15.png");
	}

	/**
	毎フレーム実行される描画。
	*/
	public void render(GameContainer container, Graphics g) {
		// スプライトを表示する。
		sprite.draw(0, 0);
	}

	/**
	毎フレーム実行される更新。
	*/
	public void update(GameContainer container, int delta) {
	}

	/**
	プログラムはここから実行される。
	@param argv プログラムの起動時に渡されたコマンドライン引数。
	*/
	public static void main(String[] argv) {
		try {
			AppGameContainer container = new AppGameContainer(new MyGame00());
			container.setDisplayMode(600,800,false);
			container.start();
		} catch (SlickException e) {
			e.printStackTrace();
		}
	}
}
